
TYPO3.Flow - Bug # 1727

Status: Resolved Priority: Should have
Author: Peter Beernink Category: Configuration
Created: 2008-10-16 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Unable to install FLOW3/TYPO3v5 (Uncaught FLOW3 Exception)
Description

After checking out FLOW3 (r1360) or TYPO3v5 (r838) from the SVN repository, I get an uncaught FLOW3 Exception (The controller
component "f3::flow3::controller::defaultcontroller" does not exist.) when I run the install.sh

I've also tried to access the installation without running the installer but than I get a F3::TYPO3CR::StorageException.

I'm running these tests on a debian 4.0 machine, with php5.3a1 compiled on it.
I've attached my install.conf and the output of my install.sh session.

If you need any additional information, I'm happy to provide it.

History
#1 - 2008-10-17 11:30 - Karsten Dambekalns
- Category changed from Error to Configuration
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

Looks like the Routes.php is outdated.

#2 - 2008-10-17 14:10 - Peter Beernink

I don't acctually know what happend the first time when I did a test run without using the installer, but I think there where some old files still remaining.

With a complete fresh checkout, the installation is accessible without any errors.

If the typo3cr should be able to regenerate the lucene and sqlite files, it might be needed to have a closer look at the reason the exception is being
thrown.

Also if the install.sh is not needed anymore, it probably should be removed from the SVN to prevent confusion in the future.
In that case I think this issue can be closed.

#3 - 2008-10-27 12:10 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
The README now states install.sh is not needed for most users.

Files
install.conf 783 Bytes 2008-10-16 Peter Beernink
output_install.txt 6.6 kB 2008-10-16 Peter Beernink
